Get Signed JWT Token
Get current HCX Manager Certificate as signed JWT Token (NDC API)
Unauthenticated API to retrieve a current HCX Manager Certificate as JWT signed with the private key of the HCX Manager's rotated certificate.
Service Types:
admin-mgmt: Admin Portal (9443)service-mgmt: Service/Operations Portal (443)
Request
URI
GET
https://{server}:9443/api/admin/certificate-bundle/{serviceType}
COPY
Path Parameters
string
serviceType
Required
Service type identifier
serviceType example
admin-mgmt
Possible values are :
admin-mgmt,
service-mgmt,
Query Parameters
string
kid
Optional
Optional SHA-256 thumbprint of specific rotated certificate, otherwise uses the latest rotated certificate.
kid example
a1b2c3d4e5f6789012345678901234567890abcdef1234567890abcdef123456
Authentication
This operation uses the following authentication methods.
Responses
200
JWT token generated successfully
{
"success": true,
"jwt_token": "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiJoY3gtbWFuYWdlciIsImlhdCI6MTUxNjIzOTAyMn0.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c",
"error": {}
}
boolean
success
Required
success
string
jwt_token
Required
Signed JWT token
object
error
Required
Error object (empty on success)
400
Bad request - Invalid service type or parameters
{
"success": false,
"error": {
"code": 400,
"message": "Invalid serviceType provided."
}
}
boolean
success
Required
success
object
error
Required
error
500
Internal server error
{
"success": false,
"error": {
"code": 500,
"message": "Failed to generate JWT token"
}
}
boolean
success
Required
success
object
error
Required
error
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/api/admin/certificate-bundle/{serviceType}